{% extends "base.html" %} {% load static %} 
{% block css %}
<link href="{% static 'css/progress.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/jasny/jasny-bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'css/widget.css' %}" rel="stylesheet">
<link href="{% static 'font-awesome/css/font-awesome.css' %}" rel="stylesheet">
<link href="{% static 'css/timeline.css' %}" rel="stylesheet">

{% endblock css %}
{% block title %}
<h1>Prácticas Profesionales</h1>
{% endblock title %}
{% block content %} {% if request.session.type == "AL" %}
{% if solicitud.practica %}
<div class="row">
	<div class="col-md-5">
		<div class="card type--profile">
			<header class="card-heading card-background" id="card_img_01">
				<img src="{{photo.url}}" alt="" class="img-circle ">
			</header>
			<div class="card-body">
				<h3 class="name">{{request.session.name}}</h3>
				<span class="title">Practicante en <strong>{{solicitud.empresa.nombre}}</strong></span>
				<div class="row">
					<div class="col-md-6 text-center">
						<button type="button" class="btn btn-blue btn-block btn-round">Ir a Tareas</button>
					</div>
					<div class="col-md-6 text-center">
						<button type="button" data-toggle="modal" data-target="#modalausencias" class="btn btn-accent btn-block btn-round btn-danger">Ver Ausencias</button>
					</div>
				</div>
			</div>
			<footer class="card-footer border-top">
				<div class="row row p-t-10 p-b-10">
					<div class="col-xs-4"><span class="count">12</span><span>Semanas Completadas</span></div>
					<div class="col-xs-4"><span class="count">3</span><span>Semanas Faltantes</span></div>
					<div class="col-xs-4"><span class="count">340</span><span>Horas Completadas</span></div>
				</div>
			</footer>
		</div>
	</div>
	<div class="col-md-7">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Tareas Pendientes</h2>
			</header>
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						<ul class="list-group p-0">
						{% for x in solicitud.practica.week_practica_set.all %}
							{% for y in x.task_set.all %}
							{% if y.retro_set.all.count  == 0 %}
							<li class="list-group-item ">
								<div class="list-group-item-body">
									<div class="pull-right">
										<button data-tarea="{{y.name}}" data-pk="{{y.pk}}" class="btn modal-button btn-sm btn-blue"><i class="fa fa-eye"></i> Ver Tarea</button>
									</div>
									<div class="list-group-item-heading">Semana {{x.number}}</div>
									<div class="list-group-item-text">{{y.name}}</div>
								</div>
							</li>
							{% endif %}
							{% endfor %}
						{% endfor %}
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Feedbacks</h2>
			</header>
			<div class="card-body"  style="height:300px; overflow:hidden; overflow-y:scroll;">
				<div class="tab-content">
					<div class="tab-pane fadeIn active" id="profile-timeline">
						{% for x in solicitud.practica.week_practica_set.all %}
						{% for y in x.task_set.all %}
						{% for z in y.comments_set.all %}
						<div class="row">
							<div class="col-xs-12 col-sm-11 col-sm-offset-1">
								<article>
									<div class="card card-comment" data-timeline="text">
										<div class="card-body">
											<div class="row">
												<div class="col-md-10">
													<h3>Semana {{x.number}} - Tarea: {{y.name}}</h3>
													<p><stronng>{{x.autor}}</stronng>{{z.texto}}</p>
												</div>
												<div class="col-md-2">
													<img src="assets/img/profiles/02.jpg" alt="" class="img-circle img-sm pull-left m-r-10">
													<h2 class="card-title m-t-5">{{feedback.author.name}}</h2>
													<ul class="card-actions icons right-top">
														<li>
															<span style="color:white" class="label label-primary">Postulación</span>
														</li>
													</ul>
												</div>
											</div>
										</div>
									</div>
								</article>
							</div>
						</div>
						{% endfor %}
						{% endfor %}
						{% endfor %}
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
{% elif solicitud %}
<div class="text-center row">
	<h1>Estado de la Solicitud</h1>
</div>
<div class="row">
	<ul class="breadcrumb">
		{% if solicitud.step == "DS" %}
		<li class="completed"><a>Solicitud Generada</a></li>
		<li><a>Aprobación de DSA</a></li>
		<li><a>En Espera de Revisión</a></li>
		<li><a>Aprobación Dirección de Carrera</a></li>
		{% elif solicitud.step == "SE" %}
		<li class="completed"><a>Solicitud Generada</a></li>
		<li class="completed"><a>Aprobación de DSA</a></li>
		<li><a>En Espera de Revisión</a></li>
		<li><a>Aprobación Dirección de Carrera</a></li>
		{% elif solicitud.step == "DC" %}
		<li class="completed"><a>Solicitud Generada</a></li>
		<li class="completed"><a>Aprobación de DSA</a></li>
		<li class="completed"><a>En Espera de Revisión</a></li>
		<li><a>Aprobación Dirección de Carrera</a></li>
		{% endif %}
	</ul>
</div>
<div class="card">
	<div class="card-body">
		<div id="vertical-timeline" class="vertical-container dark-timeline center-orientation">
			<div class="vertical-timeline-block">
				<div class="vertical-timeline-icon navy-bg">
					<i class="fa fa-check"></i>
				</div>
				<div class="vertical-timeline-content">
					<h2>Solicitud Enviada</h2>
					<p>Tu Solicitud fue enviada, solo debes esperar a que un funcionario de la DSA la apruebe.
					</p>
					<span class="vertical-date">
                        <small>{{solicitud.date}}</small>
                    </span>
				</div>
			</div>
			{% for x in solicitud.respuestasolicitud_set.all %}
			{% if x.tipo == 1 and x.emisor == "DS" %}
			<div class="vertical-timeline-block">
				<div class="vertical-timeline-icon navy-bg">
					<i class="fa fa-check"></i>
				</div>
				<div class="vertical-timeline-content">
					<h2>Solicitud Aprobada por la DSA</h2>
					<p>Tu Solicitud fue aprobada por la DSA, ahora debes esperar a que esta sea redirigida a la Dirección de Carrera.
					</p>
					<span class="vertical-date">
                        <small>{{x.date}}</small>
                    </span>
				</div>
			</div>
			{% elif x.tipo == 0 and x.emisor == "DS" %}
			<div class="vertical-timeline-block">
				<div class="vertical-timeline-icon danger-bg">
					<i class="fa fa-times"></i>
				</div>
				<div class="vertical-timeline-content">
				{% if forloop.last %}
					<button data-toggle="modal" data-target="#editar_solicitud" class="btn btn-sm btn-warning"><i class="fa fa-pencil"></i> Editar Solicitud</button>
				{% endif %}
					<h2>Solicitud Rechazada por la DSA</h2>
					<p>Tu Solicitud fue rechazada por la DSA, para ver más detalles haz <a class="obs" data-respuesta="{{x.observacion}}" href="#">click aqui</a>.
					</p>
					<span class="vertical-date">
                        <small>{{x.date}}</small>
                    </span>
				</div>
			</div>
			{% elif x.tipo == 1 and x.emisor == "SE" %}
			<div class="vertical-timeline-block">
				<div class="vertical-timeline-icon navy-bg">
					<i class="fa fa-check"></i>
				</div>
				<div class="vertical-timeline-content">
					<h2>Solicitud Aprobada por la Secretaria</h2>
					<p>Tu Solicitud fue aprobada por la Secretaria, ahora debes esperar a que esta sea redirigida a la Dirección de Carrera.
					</p>
					<span class="vertical-date">
                        <small>{{x.date}}</small>
                    </span>
				</div>
			</div>
			{% elif x.tipo == 0 and x.emisor == "SE" %}
			<div class="vertical-timeline-block">
				<div class="vertical-timeline-icon danger-bg">
					<i class="fa fa-times"></i>
				</div>
				<div class="vertical-timeline-content">
				{% if forloop.last %}
					<button data-toggle="modal" data-target="#editar_solicitud" class="btn btn-sm btn-warning"><i class="fa fa-pencil"></i> Editar Solicitud</button>
				{% endif %}
					<h2>Solicitud Rechazada por la Secretaria</h2>
					<p>Tu Solicitud fue rechazada por la Secretaria, para ver más detalles haz <a class="obs" data-respuesta="{{x.observacion}}" href="#">click aqui</a>.
					</p>
					<span class="vertical-date">
                        <small>{{x.date}}</small>
                    </span>
				</div>
			</div>
			{% else %}
			<div class="vertical-timeline-block">
				<div class="vertical-timeline-icon danger-bg">
					<i class="fa fa-pencil"></i>
				</div>
				<div class="vertical-timeline-content">
					<h2>Solicitud Editada por el Alumno</h2>
					<p>La Solicitud fue editada por el Alumno.
					</p>
					<span class="vertical-date">
                        <small>{{x.date}}</small>
                    </span>
				</div>
			</div>
			{% endif %}
			{% endfor %}
		</div>
	</div>
</div>
{% else %}
<div class="row">
	<div class="col-md-12 text-center">
		<h1 class="text-center">Actualmente no haz realizado ninguna solicitud de Práctica Profesional</h1>
		<a href="{% url 'solicitar_practica' %}" class="btn btn-lg text-center btn-primary">Solicitar Practica</a>
	</div>
</div>
{% endif %}
<!-- modal block -->
        <div class="modal fade" id="modal_tareas" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
				<div class="modal-header">
					  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					  <h1 class="text-center" style="color:white" id="titulo-proyecto">Retroalimentación de la Tarea</h1>
				</div>
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<label for="cont_tarea" class="control-label">Tarea:</label>
							<div id="cont_tarea" class="well">
							</div>
						</div>
					</div>
					<div class="row">
					<form action="{% url 'retro_al_tarea' %}" method="post">
						{% csrf_token %}
						<input type="number" value="0" name="pk_tarea" id="pk_tarea" style="display:none;">
						<div class="col-md-12">
							<div class="form-group">
								<label for="retro_tarea" class="control-label">Retroalimentación: </label>
								<textarea required class="form-control" name="retro_tarea" id="retro_tarea" rows="5"></textarea>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<div class="row">
						<div class="col-md-6">
							<button type="submit" class="btn btn-blue btn-block"><i class="fa fa-check"></i></button>
						</div>
					</form>
						<div class="col-md-6">
							<button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-times"></i></button>
						</div>
					</div>
				</div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="editar_solicitud" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
				<div class="modal-header">
					  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					  <h1 class="text-center" style="color:white" id="titulo-proyecto">Editar Solicitud</h1>
				</div>
				<div class="modal-body">
					<div class="row">
					<form action="{% url 'edit_solicitud' %}" method="post" enctype="multipart/form-data">
					{% csrf_token %}
					<input name="pk" id="pk" value="{{solicitud.pk}}" type="text" style="display:none;">
						<div class="col-md-12">
							<div class="fileinput fileinput-new input-group" data-provides="fileinput">
								<div class="form-control" data-trigger="fileinput">
									<i class="glyphicon glyphicon-file fileinput-exists"></i>
								<span class="fileinput-filename"></span>
								</div>
								<span class="input-group-addon btn btn-success btn-file">
									<span class="fileinput-new">Seleccionar Archivo</span>
									<span class="fileinput-exists">Cambiar Archivo</span>
									<input id="file_solicitar" name="file_solicitar" type="file" name="..."/>
								</span>
								<a href="#" class="input-group-addon btn btn-default fileinput-exists" data-dismiss="fileinput">Eliminar</a>
							</div> 
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<div class="form-group">
								<label for="obs_edit" class="control-label">Observación: </label>
								<textarea class="form-control" name="obs_edit" id="obs_edit" rows="5">{{solicitud.observacion}}</textarea>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<div class="row">
						<div class="col-md-6">
							<button type="submit" class="btn btn-success btn-block"><i class="fa fa-check"></i> Guardar Cambios</button>
						</div>
					</form>
					</form>
						<div class="col-md-6">
							<button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-times"></i> Cerrar</button>
						</div>
					</div>
				</div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modalausencias" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
				<div class="modal-header">
					  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					  <h1 class="text-center" style="color:white" id="titulo-proyecto">Mis Ausencias</h1>
				</div>
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<table class="table table-bordered">
								<thead>
									<th class="text-center">Fecha de Ausencia</th>
									<th class="text-center">Acciones</th>
								</thead>
								<tbody>
									{% for x in solicitud.practica.ausencia_set.all %}
									{% if not x.justificativo %}
									{% if x.fecha_termino %}
									<tr>
										<td style="vertical-align:middle;">Desde {{x.fecha_inicio}} Hasta {{x.fecha_termino}}</td>
										<td class="text-center"><button data-toggle="modal" data-target="#SubirJustificativo" data-pk="{{x.pk}}" class="btn btn-sm btn-primary"><i class="fa fa-upload"></i> Subir Justificativo</button></td>
									</tr>
									{% else %}
									<tr>
										<td style="vertical-align:middle;">Fecha: {{x.fecha_inicio}} </td>
										<td class="text-center"><button data-toggle="modal" data-target="#SubirJustificativo" data-pk="{{x.pk}}" class="btn btn-sm btn-primary"><i class="fa fa-upload"></i> Subir Justificativo</button></td>
									</tr>
									{% endif %}
									{% endif %}
									{% endfor %}
								</tbody>
							</table>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<div class="row">
						<div class="col-md-12">
							<button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-times"></i> Cerrar</button>
						</div>
					</div>
				</div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="SubirJustificativo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
				<div class="modal-header">
					  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					  <h1 class="text-center" style="color:white" id="titulo-proyecto">Subir Justificativo</h1>
				</div>
				<div class="modal-body">
					<form action="{% url 'upload_justificativo' %}" method="post" enctype="multipart/form-data">
					{% csrf_token %}
					<input type="text" style="display: none" id="pk_ausencia" name="pk_ausencia">
						<div class="form-group is-empty">
							<div class="input-group">
						      <label for="archivo">Archivo: </label>
							  <input id="archivo" name="archivo" type="file" class="form-control" placeholder="File Upload...">
							  <div class="input-group">
								<input type="text" readonly="" class="form-control" placeholder="Seleccione el archivo que desea cargar">
								<span class="input-group-btn input-group-sm">
								  <button type="button" class="btn btn-info btn-fab btn-fab-sm">
									<i class="zmdi zmdi-attachment-alt"></i>
								  </button>
								</span>
							  </div>
							</div>
						</div>
						<div class="form-group is-empty">
							<div class="input-group">
						      <label for="retro">Observación: </label>
						      <textarea class="form-control" name="retro" id="retro" rows="10"></textarea>
							</div>
						</div>
				</div>
				<div class="modal-footer">
					<div class="row">
						<div class="col-md-6">
							<button type="submit" class="btn btn-success btn-block"><i class="fa fa-times"></i> Enviar Justificativo</button>
						</div>
						<div class="col-md-6">
							<button type="button" data-dismiss="modal" class="btn btn-danger btn-block"><i class="fa fa-times"></i> Cerrar</button>
						</div>
					</form>
					</div>
				</div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modalOBS" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Observación de la Respuesta</h1>
            </div>
              <div class="modal-body">
              	<div class="row">
              		<div class="col-md-12">
              			<div id="obs_text" class="well"></div>
              		</div>
              	</div>
              </div>
              <div class="modal-footer">
                  <button type="button" data-dismiss="modal" class="btn btn-block btn-danger"><i class="fa fa-times"></i> Cerrar</button>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
{% endif %} 
{% if request.session.type == "DS" %}
<div class="row">
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-primary">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-check fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Solicitudes Aprobadas </span>
					<h2 class="font-bold">{{SA}}</h2>
				</div>
			</div>
		</div>
	</div>	
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-danger">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-times fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Solicitudes Rechazadas </span>
					<h2 class="font-bold">{{SR}}</h2>
				</div>
			</div>
		</div>
	</div>	
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-warning">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-ban fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Solicitudes Pendientes </span>
					<h2 class="font-bold">{{SP}}</h2>
				</div>
			</div>
		</div>
	</div>	
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-success">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-university fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Total de Solicitudes </span>
					<h2 class="font-bold">{{ST}}</h2>
				</div>
			</div>
		</div>
	</div>	
</div>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Solicitudes Pendientes</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    <table class="table table-bordered">
                        <thead>
                            <th class="text-center">Tipo</th>
                            <th class="text-center">Alumno</th>
                            <th class="text-center">Fecha de Solicitud</th>
                            <th class="text-center">Empresa</th>
                            <th class="text-center">Acciones</th>
                        </thead>
                        <tbody>
                            {% for x in solicitudes %}
                            <tr>
                                <td style="vertical-align:middle;" class="text-center col-md-2">Practica Profesional</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.alumno.name}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.created}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.empresa.nombre}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-4">
                                    <button data-file="{{x.file}}" data-toggle="modal" data-target="#documentoModal" class="btn btn-sm btn-warning"><i class="fa fa-eye"></i> Ver Documento</button>
                                    <button data-pk="{{x.pk}}" data-toggle="modal" data-target="#modalAprobar" class="btn btn-sm btn-primary"><i class="fa fa-check"></i> Aprobar</button>
                                    <button data-pk="{{x.pk}}" data-toggle="modal" data-target="#modalRechazar" class="btn btn-sm btn-danger"><i class="fa fa-times"></i> Rechazar</button>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- modal block -->
        <div class="modal fade" id="documentoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Documento de la solicitud</h1>
            </div>
              <div class="modal-body">
                  <div class="text-center pdf-toolbar">
                        <div class="btn-group">
                            <button id="prev" class="btn btn-white"><i class="fa fa-long-arrow-left"></i> <span class="hidden-xs">Pagina Anterior</span></button>
                            <button id="next" class="btn btn-white"><i class="fa fa-long-arrow-right"></i> <span class="hidden-xs">Pagina Siguiente</span></button>
                            <span class="btn btn-white hidden-xs">Pagina: </span>
                        <div class="input-group">
                            <input type="text" class="form-control" id="page_num">
                            <div class="input-group-btn">
                                <button type="button" class="btn btn-white" id="page_count">/ 22</button>
                            </div>
                        </div>
                        </div>
                    </div>
                    <div class="text-center m-t-md">
                        <canvas id="the-canvas" class="pdfcanvas border-left-right border-top-bottom b-r-md"></canvas>
                    </div>
              </div>
              <div class="modal-footer">
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modal_tareas" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
				<div class="modal-header">
					  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					  <h1 class="text-center" id="titulo-proyecto">Retroalimentación de la Tarea</h1>
				</div>
				<div class="modal-body">
				</div>
				<div class="modal-footer">
				</div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modalAprobar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Aprobar Solicitud</h1>
            </div>
              <div class="modal-body">
                <form action="{% url 'aprobar_solicitud_dsa' %}" method="post">
                {% csrf_token %}
                 <input style="display:none" id="pk_solicitud_aprobar" name="pk_solicitud_aprobar" type="text">
                  <div class="form-group">
                      <label for="comentario" class="control-label">Observación: </label>
                      <textarea required class="form-control" name="comentario" id="comentario" rows="5"></textarea>
                  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-primary"><i class="fa fa-check"></i> Aprobar</button>
                  </form>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modalRechazar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Rechazar Solicitud</h1>
            </div>
              <div class="modal-body">
                <form action="{% url 'rechazar_solicitud_dsa' %}" method="post">
                {% csrf_token %}
                 <input style="display:none" id="pk_solicitud_rechazar" name="pk_solicitud_rechazar" type="text">
                  <div class="form-group">
                      <label for="comentario" class="control-label">Observación: </label>
                      <textarea required class="form-control" name="comentario" id="comentario" rows="5"></textarea>
                  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-danger"><i class="fa fa-check"></i> Rechazar</button>
                  </form>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
{% endif %} 
{% if request.session.type == "SE" %}
<div class="row">
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-primary">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-check fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Solicitudes Aprobadas </span>
					<h2 class="font-bold">{{SA}}</h2>
				</div>
			</div>
		</div>
	</div>	
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-danger">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-times fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Solicitudes Rechazadas </span>
					<h2 class="font-bold">{{SR}}</h2>
				</div>
			</div>
		</div>
	</div>	
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-warning">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-ban fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Solicitudes Pendientes </span>
					<h2 class="font-bold">{{SP}}</h2>
				</div>
			</div>
		</div>
	</div>	
	<div class="col-lg-3">
		<div id="Facultades" class="widget style1 bg-success">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-university fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Total de Solicitudes </span>
					<h2 class="font-bold">{{ST}}</h2>
				</div>
			</div>
		</div>
	</div>	
</div>
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Solicitudes Pendientes</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    <table class="table table-bordered">
                        <thead>
                            <th class="text-center">Tipo</th>
                            <th class="text-center">Alumno</th>
                            <th class="text-center">Fecha de Solicitud</th>
                            <th class="text-center">Empresa</th>
                            <th class="text-center">Acciones</th>
                        </thead>
                        <tbody>
                            {% for x in solicitudes %}
                            <tr>
                                <td style="vertical-align:middle;" class="text-center col-md-2">Practica Profesional</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.alumno.name}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.created}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-2">{{x.empresa.nombre}}</td>
                                <td style="vertical-align:middle;" class="text-center col-md-4">
                                    <button data-file="{{x.file}}" data-toggle="modal" data-target="#documentoModal" class="btn btn-sm btn-warning"><i class="fa fa-eye"></i> Ver Documento</button>
                                    <button data-pk="{{x.pk}}" data-toggle="modal" data-target="#modalAprobar" class="btn btn-sm btn-primary"><i class="fa fa-check"></i> Aprobar</button>
                                    <button data-pk="{{x.pk}}" data-toggle="modal" data-target="#modalRechazar" class="btn btn-sm btn-danger"><i class="fa fa-times"></i> Rechazar</button>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- modal block -->
        <div class="modal fade" id="documentoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Documento de la solicitud</h1>
            </div>
              <div class="modal-body">
                  <div class="text-center pdf-toolbar">
                        <div class="btn-group">
                            <button id="prev" class="btn btn-white"><i class="fa fa-long-arrow-left"></i> <span class="hidden-xs">Pagina Anterior</span></button>
                            <button id="next" class="btn btn-white"><i class="fa fa-long-arrow-right"></i> <span class="hidden-xs">Pagina Siguiente</span></button>
                            <span class="btn btn-white hidden-xs">Pagina: </span>
                        <div class="input-group">
                            <input type="text" class="form-control" id="page_num">
                            <div class="input-group-btn">
                                <button type="button" class="btn btn-white" id="page_count">/ 22</button>
                            </div>
                        </div>
                        </div>
                    </div>
                    <div class="text-center m-t-md">
                        <canvas id="the-canvas" class="pdfcanvas border-left-right border-top-bottom b-r-md"></canvas>
                    </div>
              </div>
              <div class="modal-footer">
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modalAprobar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Aprobar Solicitud</h1>
            </div>
              <div class="modal-body">
                <form action="{% url 'aprobar_solicitud_se' %}" method="post">
                {% csrf_token %}
                 <input style="display:none" id="pk_solicitud_aprobar" name="pk_solicitud_aprobar" type="text">
                  <div class="form-group">
                      <label for="comentario" class="control-label">Observación: </label>
                      <textarea required class="form-control" name="comentario" id="comentario" rows="5"></textarea>
                  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-primary"><i class="fa fa-check"></i> Aprobar</button>
                  </form>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modalRechazar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Rechazar Solicitud</h1>
            </div>
              <div class="modal-body">
                <form action="{% url 'rechazar_solicitud_se' %}" method="post">
                {% csrf_token %}
                 <input style="display:none" id="pk_solicitud_rechazar" name="pk_solicitud_rechazar" type="text">
                  <div class="form-group">
                      <label for="comentario" class="control-label">Observación: </label>
                      <textarea required class="form-control" name="comentario" id="comentario" rows="5"></textarea>
                  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-danger"><i class="fa fa-check"></i> Rechazar</button>
                  </form>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
{% endif %}
{% if request.session.type == "DC" %}
<div class="row">
   	<div class="col-lg-4">
		<div id="Facultades" class="widget style1 bg-primary">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-check fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Prácticas Aprobadas </span>
					<h2 class="font-bold">{{SA}}</h2>
				</div>
			</div>
		</div>
	</div>	    
   	<div class="col-lg-4">
		<div id="Facultades" class="widget style1 bg-danger">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-times fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span> Prácticas Reprobadas </span>
					<h2 class="font-bold">{{SA}}</h2>
				</div>
			</div>
		</div>
	</div>	    
   	<div class="col-lg-4">
		<div id="Facultades" class="widget style1 bg-success">
			<div class="row">
				<div class="col-xs-4 text-center">
					<i class="fa fa-check fa-5x"></i>
				</div>
				<div class="col-xs-8 text-right">
					<span>Total de Prácticas</span>
					<h2 class="font-bold">{{SA}}</h2>
				</div>
			</div>
		</div>
	</div>	    
</div>
<div class="row">
    <div class="col-lg-6">
        <div class="card float-e-margins">
            <header class="card-heading card-blue">
                <h2 class="card-title">Prácticas por Período</h2>
            </header>
            <div class="card-body">
                <div>
                    <canvas id="practicas_periodo" height="140"></canvas>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="card float-e-margins">
            <header class="card-heading card-blue">
                <h2 class="card-title">Prácticas por Perfil de Egreso </h2>
            </header>
            <div class="card-body">
                <div>
                    <canvas id="practicas_perfil" height="140"></canvas>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-6">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Top 5 Empresas con más Prácticas</h2>
            </header>
            <div class="card-body">
               <div class="row">
                   <div class="col-md-12">
                       <table class="table table-bordered">
                           <thead>
                               <th class="text-center">Nombre</th>
                               <th class="text-center">Prácticas en Curso</th>
                               <th class="text-center">Total de Prácticas</th>
                           </thead>      
                           <tbody>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">CubeSOA</td>
                                   <td class="text-center" style="vertical-align:middle;">10</td>
                                   <td class="text-center" style="vertical-align:middle;">40</td>
                               </tr>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">CloudTIC</td>
                                   <td class="text-center" style="vertical-align:middle;">8</td>
                                   <td class="text-center" style="vertical-align:middle;">10</td>
                               </tr>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">Microsoft</td>
                                   <td class="text-center" style="vertical-align:middle;">7</td>
                                   <td class="text-center" style="vertical-align:middle;">9</td>
                               </tr>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">Transbank</td>
                                   <td class="text-center" style="vertical-align:middle;">4</td>
                                   <td class="text-center" style="vertical-align:middle;">4</td>
                               </tr>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">Dreamlabs</td>
                                   <td class="text-center" style="vertical-align:middle;">1</td>
                                   <td class="text-center" style="vertical-align:middle;">1</td>
                               </tr>
                           </tbody>
                       </table>
                   </div>
               </div>
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="card">
            <div class="card-heading card-blue">
                <h2 class="card-title">Empresas Inactivas</h2>
            </div>
            <div class="card-body">
               <div class="row">
                   <div class="col-md-12">
                       <table class="table table-bordered">
                           <thead>
                               <th class="text-center">Nombre</th>
                               <th class="text-center">Prácticas en Curso</th>
                               <th class="text-center">Total de Prácticas</th>
                               <th class="text-center">Acciones</th>
                           </thead>      
                           <tbody>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">WebTic</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">
                                       <button class="btn btn-sm btn-primary"><i class="fa fa-eye"></i> Detalles</button>
                                   </td>
                               </tr>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">ProgramadoresChile</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">
                                       <button class="btn btn-sm btn-primary"><i class="fa fa-eye"></i> Detalles</button>
                                   </td>
                               </tr>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">UNAB</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">
                                       <button class="btn btn-sm btn-primary"><i class="fa fa-eye"></i> Detalles</button>
                                   </td>
                               </tr>
                               <tr>
                                   <td class="text-center" style="vertical-align:middle;">Deloitte</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">0</td>
                                   <td class="text-center" style="vertical-align:middle;">
                                       <button class="btn btn-sm btn-primary"><i class="fa fa-eye"></i> Detalles</button>
                                   </td>
                               </tr>
                           </tbody>
                       </table>
                   </div>
               </div>
            </div>
        </div>
    </div>
</div>
{% endif %}
{% if request.session.type == "EE" %}
{% if h == 1 %}
<div class="row">
	<div class="col-md-12">
		<div class="alert alert-success">
			<strong>Éxito!</strong> La Notificación de Ausencia fue Ingresada con Éxito.
		</div>
	</div>
</div>
{% endif %}
<div class="row">
	<div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
		<div class="card">
			<header class="card-heading card-blue">
				<div class="row">
					<div class="col-sm-12">
						<h2 class="card-title">Total de Practicantes</h2>
					</div>
				</div>
			</header>
			<div class="card-body text-center">
				<div class="row">
					<div class="col-sm-8">
						<h1>100</h1>                                    
					</div>
					<div class="col-sm-4">
						<i class="zmdi zmdi-hc-4x zmdi-calendar"></i>
					</div>
				</div>
			</div>
		</div>
    </div>
	<div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
            <div class="card">
                <header class="card-heading card-purple">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="card-title">Practicantes En Curso</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>0</h1>                                    
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-calendar"></i>
                        </div>
                    </div>
                </div>
            </div>
    </div>
	<div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
		<div class="card">
			<header class="card-heading card-green">
				<div class="row">
					<div class="col-sm-12">
						<h2 class="card-title">Practicantes Aprobados</h2>
					</div>
				</div>
			</header>
			<div class="card-body text-center">
				<div class="row">
					<div class="col-sm-8">
						<h1>0</h1>                                    
					</div>
					<div class="col-sm-4">
						<i class="zmdi zmdi-hc-4x zmdi-calendar"></i>
					</div>
				</div>
			</div>
		</div>
    </div>
	<div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
		<div class="card">
			<header class="card-heading card-accent">
				<div class="row">
					<div class="col-sm-12">
						<h2 class="card-title">Practicantes Reprobados</h2>
					</div>
				</div>
			</header>
			<div class="card-body text-center">
				<div class="row">
					<div class="col-sm-8">
						<h1>0</h1>                                    
					</div>
					<div class="col-sm-4">
						<i class="zmdi zmdi-hc-4x zmdi-calendar"></i>
					</div>
				</div>
			</div>
		</div>
    </div>
</div>
<div class="row animated zoomIn">
	<div class="col-md-12">
		<div class="card">
			<header class="card-heading card-blue">
				<h2 class="card-title">Mis Practicantes</h2>
			</header>
			<div class="card-body">
				<table id="mis_practicantes" class="table table-stripped">
					<thead>
						<th class="text-center">Foto</th>
						<th>Nombre</th>
						<th class="text-center">Tareas Pendientes</th>
						<th class="text-center">Tareas Completadas</th>
						<th class="text-center">Acciones</th>
					</thead>
					<tbody>
						{% for x in practicas %}
						{% if x.0.practica.eval_final %}
						<tr>
							<td class="col-md-1 text-center" style="vertical-align: middle">
								<img src="{{x.0.alumno.img.url}}" alt="" class="img-circle img-sm">
							</td>	
							<td style="vertical-align: middle">
								{{x.0.alumno.name}}
							</td>
							<td class="text-center" style="vertical-align:middle">
								<h3>{{x.2}}</h3>
							</td>
							<td class="text-center" style="vertical-align:middle">
								<h3>{{x.3}}</h3>
							</td>	
							<td style="vertical-align: middle" class="text-center">
							{% if x.0.practica.eval_final.status == "completado" %}
								<button disabled class="btn btn-default btn-block">Informe en espera de aprobación</button>
								{% else %}
								<a href="{% url 'formulario_final' x.0.practica.pk %}" class="btn btn-block btn-blue"><i class="fa fa-check"></i>
								Evaluar Práctica</a>
								{% endif %}
							</td>	
						</tr>
						{% else %}
						<tr>
							<td class="col-md-1 text-center" style="vertical-align: middle">
								<img src="{{x.0.alumno.img.url}}" alt="" class="img-circle img-sm">
							</td>	
							<td style="vertical-align: middle">
								{{x.0.alumno.name}}
							</td>
							<td class="text-center" style="vertical-align:middle">
								<h3>{{x.2}}</h3>
							</td>
							<td class="text-center" style="vertical-align:middle">
								<h3>{{x.3}}</h3>
							</td>	
							<td style="vertical-align: middle" class="text-center">
								{% if x.1 == "ok" %}
								<a href="{% url 'retroalimentar_tareas' x.0.pk %}" class="btn btn-sm btn-info"><i class="fa fa-bullhorn"></i> Retroalimentar Tareas</a>
								{% endif %}
								<button data-toggle="modal" data-pk="{{x.0.practica.pk}}" data-target="#justificativosModal" class="btn btn-sm btn-primary"><i class="fa fa-comment"></i> Justificativos</button>
								{% if x.0.practica.horas_diarias != 0 and x.0.practica.dias_semana != 0 %}
								<a href="{% url 'semana_a_semana' x.0.pk %}" class="btn btn-sm btn-success"><i class="fa fa-calendar"></i> Semana a Semana</a>
								<button data-fecha="{{x.0.practica.fecha_inicio | date:'Y, m, d' }}" data-pk="{{x.0.practica.pk}}" data-toggle="modal" data-target="#notificar_modal" class="btn btn-sm btn-blue"><i class="fa fa-info"></i> Notificar Inasistencia</button>
								<button data-pk="{{x.0.practica.pk}}" id="terminar_practica" class="btn btn-success btn-sm">Terminar Practica</button>
								{% else %}
								<button data-pk="{{x.0.practica.pk}}" data-toggle="modal" data-target="#modal_configurar_practica" class="btn btn-sm btn-blue"><i class="fa fa-cog"></i> Configurar Practica</button>
								{% endif %}
							</td>	
						</tr>
						{% endif %}
						{% endfor %}
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
<!-- modal block -->
        <div class="modal fade" id="ArchivoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" id="titulo-proyecto">Detalle Justificación</h1>
            </div>
              <div class="modal-body">
                  <div class="text-center pdf-toolbar">
                        <div class="btn-group">
                            <button id="prev" class="btn btn-white"><i class="fa fa-long-arrow-left"></i> <span class="hidden-xs">Pagina Anterior</span></button>
                            <button id="next" class="btn btn-white"><i class="fa fa-long-arrow-right"></i> <span class="hidden-xs">Pagina Siguiente</span></button>
                            <span class="btn btn-white hidden-xs">Pagina: </span>
                        <div class="input-group">
                            <input type="text" class="form-control" id="page_num">
                            <div class="input-group-btn">
                                <button type="button" class="btn btn-white" id="page_count">/ 22</button>
                            </div>
                        </div>
                        </div>
                    </div>
                    <div class="text-center m-t-md">
                        <canvas id="the-canvas" class="pdfcanvas border-left-right border-top-bottom b-r-md"></canvas>
                    </div>
              </div>
              <div class="modal-footer">
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="modal_configurar_practica" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" style="color:white" id="titulo-proyecto">Configurar Practicas</h1>
            </div>
              <div class="modal-body">
                <form action="{% url 'configurar_practica' %}" method="post">
                {% csrf_token %}
                 <input style="display:none" id="pk_practica" name="pk_practica" type="text">
                  <div class="form-group">
                      <label for="semanas" class="control-label">Dias a la Semana: </label>
                      <input type="number" value=0 min=1  max=7 required class="form-control" name="semanas" id="semanas">
                  </div>
                  <div class="form-group">
                      <label for="horas_dia" class="control-label">Horas al Día: </label>
                      <input type="number" value=0 min=1  max=8 required class="form-control" name="horas_dia" id="horas_dia">
                  </div>
                  <div class="form-group is-empty">
					  <div class="input-group">
					  	<label for="datepicker" class="control-label">Fecha de Inicio Practica: </label>
						<input type="text" class="form-control datepicker" name="fecha_inicio" id="datepicker" type="date">
					  </div>
				  </div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-primary"><i class="fa fa-check"></i> Guardar Cambios</button>
                  </form>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="justificativosModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" style="color:white" id="titulo-proyecto">Justificativos</h1>
            </div>
              <div class="modal-body">
              	<div class="row">
              		<div class="col-md-12">
              			<table class="table table-bordered">
              				<thead>
              					<th>Fecha</th>
              					<th>Acciones</th>
              				</thead>
              				<tbody id="table_justificativos">
              				</tbody>
              			</table>
              		</div>
              	</div>
              </div>
              <div class="modal-footer">
                  <button type="button" data-dismiss="modal" class="btn btn-block btn-danger"><i class="fa fa-times"></i> Cerrar</button>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
<!-- modal block -->
        <div class="modal fade" id="notificar_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <h1 class="text-center" style="color:white" id="titulo-proyecto">Notificar Asistencia</h1>
            </div>
              <div class="modal-body">
              	<div class="row">
              		<div class="col-md-12">
              		<form action="{% url 'crear_ausencia' %}" method="post">      
              		    {% csrf_token %}
              			<div class="form-group">
              				<label for="tipo_notificacion" class="control-label">Tipo de Notificación: </label>
              				<select name="tipo_notificacion" id="tipo_notificacion" class="form-control">
              					<option value="1">Notificar un dia</option>
              					<option value="2">Notificar dos o más dias seguidos</option>
              				</select>
              				<input type="text" style="display: none;" name="pk" id="pk_practica_notificar">
              			</div>
              			<div class="form-group" id="un_dia">
              				<label for="fecha_inasistencia" class="control-label">Fecha de Inasistencia: </label>
                       		<input name="fecha_inicio1" type="text" class="form-control datepicker" id="datepicker1" type="date" placeholder="Escoja el dia de inasistencia...">
              			</div>
              		</div>
              	</div>
              	<div class="row" id="mas_dias" style="display: none;">
				  <div class="col-xs-6">
					<div class="form-group">
						<label for="start_date" class="control-label">Fecha de Inicio: </label>
						<input name="fecha_inicio" type="text" class="form-control datepicker" id="start_date" type="date" placeholder="">
					</div>
				  </div>
				  <div class="col-xs-6">
					<div class="form-group">
						<label for="end_date" class="control-label">Fecha de Termino: </label>
						<input name="fecha_termino" type="text" class="form-control datepicker" id="end_date" type="date" placeholder="">
					</div>
				  </div>
				</div>
              </div>
              <div class="modal-footer">
                  <button type="submit" class="btn btn-block btn-primary"><i class="fa fa-check"></i> Notificar</button>
              		</form>
              </div>
            </div>
          </div>
        </div>
<!-- end modal block -->
{% endif %}
{% endblock content %} {% block javascript %}
<script src="{% static 'js/plugins/pdfjs/pdf.js' %}"></script>
<script src="{% static 'js/plugins/jasny/jasny-bootstrap.min.js' %}"></script>
<script src="{% static 'js/plugins/chartJs/Chart.min.js' %}"></script>
<script>
	$(document).ready(function() {
		
		$("#terminar_practica").on("click",function(){
			
			data = {
				csrfmiddlewaretoken: '{{ csrf_token }}',
				pk: $(this).data("pk"),
			};
			$.post("{% url 'terminar_practica' %}",data,function(response){
				if( response.ok == 0){
					swal({
						title: "Imposible Terminar Practica!",
						text: "El alumno aun tiene tareas pendientes o existen semanas sin ninguna tarea asignada",
						type: "warning",
						confirmButtonText: "Cerrar",
					});
				}else{
					window.location.reload();
				}
			});

			
		});
		
		
		$('#SubirJustificativo').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var pk = button.data('pk') // Extract info from data-* attributes
			$("#pk_ausencia").val(pk);        
		}); 
		$('#justificativosModal').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var pk = button.data('pk') // Extract info from data-* attributes
			data = {
				csrfmiddlewaretoken: '{{ csrf_token }}',
				pk: pk,
			};
			$.post("{% url 'get_justificativos' %}",data,function(response){
				$("#table_justificativos").html(response.html);
			});
		}); 
		var picker = new Pikaday({minDate: new Date(),
								  maxDate: new Date(2020, 12, 31),
								  field: document.getElementById('datepicker1') });
		$("#tipo_notificacion").on("change",function(){
			if($(this).val() != 1){
				$("#mas_dias").show();
				$("#un_dia").hide();
			}
			else{
				$("#mas_dias").hide();
				$("#un_dia").show();
			}
		});
		$(".modal-button").on("click",function(){
			$("#modal_tareas").modal("toggle");
			$("#pk_tarea").val($(this).data("pk"));
			$("#cont_tarea").html($(this).data("tarea"));
		});
		$("#mis_practicantes").DataTable();
        {% if request.session.type == "DC" %}
        var doughnutData = {
            labels: ["Desarrollo de Sofware","Gestión de Proyectos","Arquitectura de Software" ],
            datasets: [{
                data: [300,50,100],
                backgroundColor: ["#a3e1d4","#dedede","#b5b8cf"]
            }]
        } ;
        var doughnutOptions = {
            responsive: true
        };
        var ctx4 = document.getElementById("practicas_perfil").getContext("2d");
        new Chart(ctx4, {type: 'doughnut', data: doughnutData, options:doughnutOptions});
        var barData = {
            labels: ["201510", "201520", "201610", "201620", "201710", "201720", "201810"],
            datasets: [
                                {
                    label: "Reprobadas",
                    backgroundColor: 'rgba(150,50,50,0.5)',
                    borderColor: "rgba(150,50,50,0.7)",
                    pointBackgroundColor: "rgba(150,50,50,1)",
                    pointBorderColor: "#fff",
                    data: [28, 48, 40, 19, 86, 27, 90]
                },
                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#fff",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }
            ]
        };
        var barOptions = {
            responsive: true
        };
        var ctx2 = document.getElementById("practicas_periodo").getContext("2d");
        new Chart(ctx2, {type: 'bar', data: barData, options:barOptions});
        {% endif %}
		$(".obs").on("click",function(){
			resp = $(this).data("respuesta")
			$("#obs_text").html(resp)
			$("#modalOBS").modal();	
		});
		$('#vertical-timeline').toggleClass('center-orientation');
		$("li").removeClass("active");
		$("#index").addClass("active");
		$('#modalAprobar').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var pk = button.data('pk') // Extract info from data-* attributes
			$("#pk_solicitud_aprobar").val(pk);        
		}); 
		$('#notificar_modal').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var pk = button.data('pk')
			var fecha = button.data('fecha') // Extract info from data-* attributes
			$("#pk_practica_notificar").val(pk);  
			var picker = new Pikaday({minDate: new Date(),
								  maxDate: new Date(fecha),
								  field: document.getElementById('datepicker1') });
		}); 
		$('#modal_configurar_practica').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var pk = button.data('pk') // Extract info from data-* attributes
			$("#pk_practica").val(pk);        
		});
		$('#modalRechazar').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var pk = button.data('pk') // Extract info from data-* attributes
			$("#pk_solicitud_rechazar").val(pk);        
		}); 
		 $('#documentoModal').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var file = button.data('file') // Extract info from data-* attributes
			var url = '/media/' + file;
			var pdfDoc = null,
					pageNum = 1,
					pageRendering = false,
					pageNumPending = null,
					scale = 1.25,
					zoomRange = 0.25,
					canvas = document.getElementById('the-canvas'),
					ctx = canvas.getContext('2d');
			/**
			 * Get page info from document, resize canvas accordingly, and render page.
			 * @param num Page number.
			 */
			function renderPage(num, scale) {
				pageRendering = true;
				// Using promise to fetch the page
				pdfDoc.getPage(num).then(function(page) {
					var viewport = page.getViewport(scale);
					canvas.height = viewport.height;
					canvas.width = viewport.width;
					// Render PDF page into canvas context
					var renderContext = {
						canvasContext: ctx,
						viewport: viewport
					};
					var renderTask = page.render(renderContext);
					// Wait for rendering to finish
					renderTask.promise.then(function () {
						pageRendering = false;
						if (pageNumPending !== null) {
							// New page rendering is pending
							renderPage(pageNumPending);
							pageNumPending = null;
						}
					});
				});
				// Update page counters
				document.getElementById('page_num').value = num;
			}
			/**
			 * If another page rendering in progress, waits until the rendering is
			 * finised. Otherwise, executes rendering immediately.
			 */
			function queueRenderPage(num) {
				if (pageRendering) {
					pageNumPending = num;
				} else {
					renderPage(num,scale);
				}
			}
			/**
			 * Displays previous page.
			 */
			function onPrevPage() {
				if (pageNum <= 1) {
					return;
				}
				pageNum--;
				var scale = pdfDoc.scale;
				queueRenderPage(pageNum, scale);
			}
			document.getElementById('prev').addEventListener('click', onPrevPage);
			/**
			 * Displays next page.
			 */
			function onNextPage() {
				if (pageNum >= pdfDoc.numPages) {
					return;
				}
				pageNum++;
				var scale = pdfDoc.scale;
				queueRenderPage(pageNum, scale);
			}
			document.getElementById('next').addEventListener('click', onNextPage);
			/**
			 * Zoom in page.
			 */
			function onZoomIn() {
				if (scale >= pdfDoc.scale) {
					return;
				}
				scale += zoomRange;
				var num = pageNum;
				renderPage(num, scale)
			}
			/**
			 * Zoom out page.
			 */
			function onZoomOut() {
				if (scale >= pdfDoc.scale) {
					return;
				}
				scale -= zoomRange;
				var num = pageNum;
				queueRenderPage(num, scale);
			}
			/**
			 * Zoom fit page.
			 */
			function onZoomFit() {
				if (scale >= pdfDoc.scale) {
					return;
				}
				scale = 1;
				var num = pageNum;
				queueRenderPage(num, scale);
			}
			/**
			 * Asynchronously downloads PDF.
			 */
			PDFJS.getDocument(url).then(function (pdfDoc_) {
				pdfDoc = pdfDoc_;
				var documentPagesNumber = pdfDoc.numPages;
				document.getElementById('page_count').textContent = '/ ' + documentPagesNumber;
				$('#page_num').on('change', function() {
					var pageNumber = Number($(this).val());
					if(pageNumber > 0 && pageNumber <= documentPagesNumber) {
						queueRenderPage(pageNumber, scale);
					}
				});
				// Initial/first page rendering
				renderPage(pageNum, scale);
			});
		});
		 $('#ArchivoModal').on('show.bs.modal', function (event) {
			var button = $(event.relatedTarget) // Button that triggered the modal
			var file = button.data('file') // Extract info from data-* attributes
			var url = '' + file;
			var pdfDoc = null,
					pageNum = 1,
					pageRendering = false,
					pageNumPending = null,
					scale = 1.25,
					zoomRange = 0.25,
					canvas = document.getElementById('the-canvas'),
					ctx = canvas.getContext('2d');
			/**
			 * Get page info from document, resize canvas accordingly, and render page.
			 * @param num Page number.
			 */
			function renderPage(num, scale) {
				pageRendering = true;
				// Using promise to fetch the page
				pdfDoc.getPage(num).then(function(page) {
					var viewport = page.getViewport(scale);
					canvas.height = viewport.height;
					canvas.width = viewport.width;
					// Render PDF page into canvas context
					var renderContext = {
						canvasContext: ctx,
						viewport: viewport
					};
					var renderTask = page.render(renderContext);
					// Wait for rendering to finish
					renderTask.promise.then(function () {
						pageRendering = false;
						if (pageNumPending !== null) {
							// New page rendering is pending
							renderPage(pageNumPending);
							pageNumPending = null;
						}
					});
				});
				// Update page counters
				document.getElementById('page_num').value = num;
			}
			/**
			 * If another page rendering in progress, waits until the rendering is
			 * finised. Otherwise, executes rendering immediately.
			 */
			function queueRenderPage(num) {
				if (pageRendering) {
					pageNumPending = num;
				} else {
					renderPage(num,scale);
				}
			}
			/**
			 * Displays previous page.
			 */
			function onPrevPage() {
				if (pageNum <= 1) {
					return;
				}
				pageNum--;
				var scale = pdfDoc.scale;
				queueRenderPage(pageNum, scale);
			}
			document.getElementById('prev').addEventListener('click', onPrevPage);
			/**
			 * Displays next page.
			 */
			function onNextPage() {
				if (pageNum >= pdfDoc.numPages) {
					return;
				}
				pageNum++;
				var scale = pdfDoc.scale;
				queueRenderPage(pageNum, scale);
			}
			document.getElementById('next').addEventListener('click', onNextPage);
			/**
			 * Zoom in page.
			 */
			function onZoomIn() {
				if (scale >= pdfDoc.scale) {
					return;
				}
				scale += zoomRange;
				var num = pageNum;
				renderPage(num, scale)
			}
			/**
			 * Zoom out page.
			 */
			function onZoomOut() {
				if (scale >= pdfDoc.scale) {
					return;
				}
				scale -= zoomRange;
				var num = pageNum;
				queueRenderPage(num, scale);
			}
			/**
			 * Zoom fit page.
			 */
			function onZoomFit() {
				if (scale >= pdfDoc.scale) {
					return;
				}
				scale = 1;
				var num = pageNum;
				queueRenderPage(num, scale);
			}
			/**
			 * Asynchronously downloads PDF.
			 */
			PDFJS.getDocument(url).then(function (pdfDoc_) {
				pdfDoc = pdfDoc_;
				var documentPagesNumber = pdfDoc.numPages;
				document.getElementById('page_count').textContent = '/ ' + documentPagesNumber;
				$('#page_num').on('change', function() {
					var pageNumber = Number($(this).val());
					if(pageNumber > 0 && pageNumber <= documentPagesNumber) {
						queueRenderPage(pageNumber, scale);
					}
				});
				// Initial/first page rendering
				renderPage(pageNum, scale);
			});
		});
	})
</script>
{% endblock javascript %}
